| NUC029FAE BSP V3.01.002 The Board Support Package for NUC029FAE

Data Fields
SPI_T Struct Reference
NUC029FAE Control Register » Serial Peripheral Interface Controller(SPI)

`#include <NUC029FAE.h>`

## Data Fields
__IO uint32_t | CNTRL
__IO uint32_t | DIVIDER
__IO uint32_t | SSR
uint32_t | RESERVED0
__I uint32_t | RX
uint32_t | RESERVED1 [3]
__O uint32_t | TX
uint32_t | RESERVED2 [6]
__IO uint32_t | CNTRL2
__IO uint32_t | FIFO_CTL
__IO uint32_t | STATUS

## Detailed Description

Definition at line 1821 of file NUC029FAE.h.

## Field Documentation

## ◆ CNTRL

__IO uint32_t SPI_T::CNTRL

Offset: 0x0000 SPI Control and Status Register

Definition at line 1823 of file NUC029FAE.h.

## ◆ CNTRL2

__IO uint32_t SPI_T::CNTRL2

Offset: 0x003C SPI Control and Status Register 2

Definition at line 1831 of file NUC029FAE.h.

## ◆ DIVIDER

__IO uint32_t SPI_T::DIVIDER

Offset: 0x0004 SPI Clock Divider Register

Definition at line 1824 of file NUC029FAE.h.

## ◆ FIFO_CTL

__IO uint32_t SPI_T::FIFO_CTL

Offset: 0x0040 SPI FIFO Control Register

Definition at line 1832 of file NUC029FAE.h.

## ◆ RESERVED0

uint32_t SPI_T::RESERVED0

Offset: 0x000C Reserved

Definition at line 1826 of file NUC029FAE.h.

## ◆ RESERVED1

uint32_t SPI_T::RESERVED1[3]

Offset: 0x0014~0x001C Reserved

Definition at line 1828 of file NUC029FAE.h.

## ◆ RESERVED2

uint32_t SPI_T::RESERVED2[6]

Offset: 0x0024 ~ 0x0038 Reserved

Definition at line 1830 of file NUC029FAE.h.

## ◆ RX

__I uint32_t SPI_T::RX

Offset: 0x0010 SPI Data Receive Register

Definition at line 1827 of file NUC029FAE.h.

## ◆ SSR

__IO uint32_t SPI_T::SSR

Offset: 0x0008 SPI Slave Select Register

Definition at line 1825 of file NUC029FAE.h.

## ◆ STATUS

__IO uint32_t SPI_T::STATUS

Offset: 0x0044 SPI Status Register

Definition at line 1833 of file NUC029FAE.h.

## ◆ TX

__O uint32_t SPI_T::TX

Offset: 0x0020 SPI Data Transmit Register

Definition at line 1829 of file NUC029FAE.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nuc029faebsp/Library/Device/Nuvoton/NUC029FAE/Include/NUC029FAE.h